Highlighted

Your PHP server doesn't have the MySQL module loaded or you can't use the mysql_(p)connect function

Community Beginner ,
Apr 09, 2020

Copy link to clipboard

Copied

I have just downloaded the 7 days trial of Dreamweaver 2020, to replace the DW CS6 version (now uninstalled). I'm using Xampp as the database.

I create the local host site and a via a simple PHP file I can confirm the connection

It also works in live view

The problem comes when trying to access the database table that I get the above error as I set up the MySQL Connection.

 

Any suggestions would be appreciated

Well if XAMPP is running php 7.4+ then the DW server behaviours which use the old mysql connection will not work. If you can revert to php version 5.6 they will work but as I say its not advisable to do so.

 

Adobe has informed us that they will at some stage be providing new server behaviours for DW but the 'horse has already bolted' Many are abandoning DW as a result of infrequent updates and lack of any understanding about what developers require, for what seems like a decade.

 

Try a programme named 'Wappler' that is up-to-date in terms of database connectivity, plus some BUT only if you are an infrequent developer, someone who has an idea for an app or someone who just manages a company website. Its not a good choice if you are intending to make web-development a long-term career move as you end up without an saleable skills should you wish to ever go an work  for someone else at some point in the future.

Topics

Error

Views

1.2K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Your PHP server doesn't have the MySQL module loaded or you can't use the mysql_(p)connect function

Community Beginner ,
Apr 09, 2020

Copy link to clipboard

Copied

I have just downloaded the 7 days trial of Dreamweaver 2020, to replace the DW CS6 version (now uninstalled). I'm using Xampp as the database.

I create the local host site and a via a simple PHP file I can confirm the connection

It also works in live view

The problem comes when trying to access the database table that I get the above error as I set up the MySQL Connection.

 

Any suggestions would be appreciated

Well if XAMPP is running php 7.4+ then the DW server behaviours which use the old mysql connection will not work. If you can revert to php version 5.6 they will work but as I say its not advisable to do so.

 

Adobe has informed us that they will at some stage be providing new server behaviours for DW but the 'horse has already bolted' Many are abandoning DW as a result of infrequent updates and lack of any understanding about what developers require, for what seems like a decade.

 

Try a programme named 'Wappler' that is up-to-date in terms of database connectivity, plus some BUT only if you are an infrequent developer, someone who has an idea for an app or someone who just manages a company website. Its not a good choice if you are intending to make web-development a long-term career move as you end up without an saleable skills should you wish to ever go an work  for someone else at some point in the future.

Topics

Error

Views

1.2K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
LEGEND ,
Apr 09, 2020

Copy link to clipboard

Copied

Have you recently downloaded and installed Xampp?  If the answer is yes then most probably it uses a newer version of php, maybe version 7+

 

The server behaviours in DW wont be compatible with php versions above 5.6, I believe.

 

You really should not be using any DW server behaviours going forward as they are out-dated and are no longer supported in any version of php/mysql, above 5.6

 

Your choice is to either write your own server behaviours or purchase a DW extension from a 3rd party which uses the newer mysqli(improved) or PDO workflows OR drop back to a server which still has php 5.6 running (not recommended)

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Community Beginner ,
Apr 09, 2020

Copy link to clipboard

Copied

osgood,

 

Thanks, I was following this tutorial https://helpx.adobe.com/uk/dreamweaver/using/designing-dynamic-pages.html

Basically, I'm just trying to create the recordset

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Community Beginner ,
Apr 09, 2020

Copy link to clipboard

Copied

Xmapp is running PHP 7.4.4

In DW site definition for PHP 7.1 (and not 5.6) is selected

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
LEGEND ,
Apr 09, 2020

Copy link to clipboard

Copied

As far as Im aware newer versions of DW removed the server behaviours by default (although you can get them back I believe) but even so they will be using the outdated  mysql database connection which is why you cant connect to youe XAMPP database as that will most likely be using a version of php greater than 5.6.

 

Check XAMMP and see if you can find out what version of php it is running. There will be options to choose different versions of php in XAMMP but I dont know if 5.6 will be one of them and then its not  a good idea to be using outdated version/code, its insecure and not supported.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
LEGEND ,
Apr 09, 2020

Copy link to clipboard

Copied

Well if XAMPP is running php 7.4+ then the DW server behaviours which use the old mysql connection will not work. If you can revert to php version 5.6 they will work but as I say its not advisable to do so.

 

Adobe has informed us that they will at some stage be providing new server behaviours for DW but the 'horse has already bolted' Many are abandoning DW as a result of infrequent updates and lack of any understanding about what developers require, for what seems like a decade.

 

Try a programme named 'Wappler' that is up-to-date in terms of database connectivity, plus some BUT only if you are an infrequent developer, someone who has an idea for an app or someone who just manages a company website. Its not a good choice if you are intending to make web-development a long-term career move as you end up without an saleable skills should you wish to ever go an work  for someone else at some point in the future.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
EddieXX LATEST
Community Beginner ,
Apr 09, 2020

Copy link to clipboard

Copied

Thanks, I am an infrequent developer and looks DW has had its day for me

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...